IF NOT EXISTS (SELECT 1 FROM t_sch_schedule WHERE FID = '2KBNRL4VNB=G') 
INSERT INTO t_sch_schedule(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FJUN,FFEB) VALUES ('0','0','0','0',' ','0','0','0','0','0 31 16 8/7 * ?','0','172.19.107.160','0','0','0','0',{ts'2099-12-31  00:00:00'},'0','0','d','0','d','0','0','0','0','事件将于2022-07-08 16:31:14起，每月8日开始每7天重复。
预计最近十次执行时间：
2022-07-15 16:31:00,
2022-07-22 16:31:00,
2022-07-29 16:31:00,
2022-08-08 16:31:00,
2022-08-15 16:31:00,
2022-08-22 16:31:00,
2022-08-29 16:31:00,
2022-09-08 16:31:00,
2022-09-15 16:31:00,
2022-09-22 16:31:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','2KBMP/VAO2QJ',{ts'2022-07-08  00:00:00'},'0','0','0','2KBNRL4VNB=G','0','0','0','0','0',' ','1','bos_ClearUpJobFormTask_SKDP_S','0','0',7,'0','0','0','0','0'); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_SCHEDULE_ENTRY WHERE FID = '2KBNRL4VNB=G') 
INSERT INTO T_SCH_SCHEDULE_ENTRY(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('2KBNRL4VNB=G','2KBMP/VAO2QJ','2KBNRL4VNB=H',1); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_SCHEDULE_L WHERE FPKID = '2KBNRL4VLFXI') 
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2KBNRL4VNB=G','2KBNRL4VLFXI','zh_CN','后台大任务历史数据清理'); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_SCHEDULE_L WHERE FPKID = '2KBNRL4VLFXJ') 
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2KBNRL4VNB=G','2KBNRL4VLFXJ','zh_TW','後台大任務曆史數據清理'); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_SCHEDULE_N WHERE FID = '2KBNRL4VNB=G') 
INSERT INTO T_SCH_SCHEDULE_N(FID,FSNOTIFYTYPE,FSMSGCONTENT,FMSGRECEIVER,FSTIMEOUT,FSCHPRINCIPAL,FSSUCCESSNOTIFY,FSFAILNOTIFY) VALUES ('2KBNRL4VNB=G',' ',' ',0,'0',0,'0','1'); 

IF NOT EXISTS (SELECT 1 FROM t_sch_job WHERE FID = '2KBMP/VAO2QJ') 
INSERT INTO t_sch_job(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FCANSTOP,FPARAMS,FRUNBYORGID) VALUES ('2KBMP/VAO2QJ','kd.bos.schedule.form.task.ClearUpJobFormTask','2KBLX+TNFT1N','0',1,'BIZ','1','bos_ClearUpJobFormTask_SKDJ_S','0','1',0,0,'zh_CN','0','{"day":"7"}',0); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_JOB_L WHERE FPKID = '2KBMP/VAQ+3H') 
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2KBMP/VAO2QJ','2KBMP/VAQ+3H','zh_CN','后台大任务历史数据清理作业'); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_JOB_L WHERE FPKID = '2KBMP/VAQ+3I') 
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2KBMP/VAO2QJ','2KBMP/VAQ+3I','zh_TW','後台大任務曆史數據清理作業'); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_JOB_N WHERE FID = '2KBMP/VAO2QJ') 
INSERT INTO T_SCH_JOB_N(FID,FJOBPRINCIPAL,FOVERTIME,FSUCCESSNOTIFY,FJOBMSGRECEIVER,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('2KBMP/VAO2QJ',0,'0','0',0,' ','1',' ','调度作业通知'); 

IF NOT EXISTS (SELECT 1 FROM t_sch_taskdefine WHERE FID = '2KBLX+TNFT1N') 
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('2KBLX+TNFT1N','kd.bos.schedule.form.task.ClearUpJobFormTask','bos','ClearUpJobFormTask'); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_TASKDEFINE_L WHERE FPKID = '2KBLX+TNDXOP') 
INSERT INTO T_SCH_TASKDEFINE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2KBLX+TNFT1N','2KBLX+TNDXOP','zh_CN','后台大任务历史数据清理作业'); 

IF NOT EXISTS (SELECT 1 FROM T_SCH_TASKDEFINE_L WHERE FPKID = '2KBLX+TNDXOQ') 
INSERT INTO T_SCH_TASKDEFINE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2KBLX+TNFT1N','2KBLX+TNDXOQ','zh_TW','後台大任務曆史數據清理作業'); 


